package com.ssm.manage.entity;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;
import java.io.Serializable;

/**
 * 新会员交易记录表( recordsTrades)实体类
 *
 * @author makejava
 * @since 2022-02-28 10:34:49
 */
@Table(name = "records_trades")
public class  RecordsTrades implements Serializable {
    private static final long serialVersionUID = -58246769705522517L;
    /**
     * id
     */
    @Id
    private Long id;
    /**
     * 单据类型
     */
    @Column(name = "type")
    private Integer type;
    /**
     * 单据状态
     */
    @Column(name = "state")
    private Integer state;
    /**
     * 单据编码
     */
    @Column(name = "order_num")
    private String orderNum;
    /**
     * 单据ID
     */
    @Column(name = "order_id")
    private Long orderId;
    /**
     * 单据创建时间
     */
    @Column(name = "order_date")
    private Date orderDate;
    /**
     * 单据修改时间
     */
    @Column(name = "update_date")
    private Date updateDate;
    /**
     * 操作人名称
     */
    @Column(name = "operators_name")
    private String operatorsName;
    /**
     * 操作人水牌号
     */
    @Column(name = "operators_number")
    private String operatorsNumber;
    /**
     * 操作人ID
     */
    @Column(name = "operators_id")
    private Long operatorsId;
    /**
     * 门店ID
     */
    @Column(name = "store_id")
    private Long storeId;
    /**
     * 门店编码
     */
    @Column(name = "store_num")
    private String storeNum;
    /**
     * 门店名称
     */
    @Column(name = "store_name")
    private String storeName;
    /**
     * 编码
     */
    @Column(name = "num")
    private String num;
    /**
     * 名称
     */
    @Column(name = "name")
    private String name;
    /**
     * 单价
     */
    @Column(name = "price")
    private Double price;
    /**
     * 数量
     */
    @Column(name = "numbers")
    private Integer numbers;
    /**
     * 金额
     */
    @Column(name = "amount")
    private Double amount;
    /**
     * 欠款
     */
    @Column(name = "owed")
    private Double owed;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }

    public String getOrderNum() {
        return orderNum;
    }

    public void setOrderNum(String orderNum) {
        this.orderNum = orderNum;
    }

    public Long getOrderId() {
        return orderId;
    }

    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    public Date getOrderDate() {
        return orderDate;
    }

    public void setOrderDate(Date orderDate) {
        this.orderDate = orderDate;
    }

    public Date getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(Date updateDate) {
        this.updateDate = updateDate;
    }

    public String getOperatorsName() {
        return operatorsName;
    }

    public void setOperatorsName(String operatorsName) {
        this.operatorsName = operatorsName;
    }

    public String getOperatorsNumber() {
        return operatorsNumber;
    }

    public void setOperatorsNumber(String operatorsNumber) {
        this.operatorsNumber = operatorsNumber;
    }

    public Long getOperatorsId() {
        return operatorsId;
    }

    public void setOperatorsId(Long operatorsId) {
        this.operatorsId = operatorsId;
    }

    public Long getStoreId() {
        return storeId;
    }

    public void setStoreId(Long storeId) {
        this.storeId = storeId;
    }

    public String getStoreNum() {
        return storeNum;
    }

    public void setStoreNum(String storeNum) {
        this.storeNum = storeNum;
    }

    public String getStoreName() {
        return storeName;
    }

    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    public String getNum() {
        return num;
    }

    public void setNum(String num) {
        this.num = num;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Double getPrice() {
        return price;
    }

    public void setPrice(Double price) {
        this.price = price;
    }

    public Integer getNumbers() {
        return numbers;
    }

    public void setNumbers(Integer numbers) {
        this.numbers = numbers;
    }

    public Double getAmount() {
        return amount;
    }

    public void setAmount(Double amount) {
        this.amount = amount;
    }

    public Double getOwed() {
        return owed;
    }

    public void setOwed(Double owed) {
        this.owed = owed;
    }

}

